Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStochTournamentSelect< EOT > Class Template Reference

eoStochTournamentSelect: a selection method that selects ONE individual by binary stochastic tournament -MS- 24/10/99 More...

`#include <eoStochTournamentSelect.h>`

Inheritance diagram for eoStochTournamentSelect< EOT >:

List of all members.

## Public Member Functions
| eoStochTournamentSelect (double _Trate=1.0)
virtual const EOT & | operator() (const eoPop< EOT > &pop)
| Perform the stochastic tournament.
## Private Attributes
double | Trate

## Detailed Description

### template<class EOT>
class eoStochTournamentSelect< EOT >

eoStochTournamentSelect: a selection method that selects ONE individual by binary stochastic tournament -MS- 24/10/99

Definition at line 42 of file eoStochTournamentSelect.h.

The documentation for this class was generated from the following file:

- eoStochTournamentSelect.h